<?php
/**
 *
 * Simple Block Gest. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017, Galandas, http://phpbb3world.altervista.org
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace galandas\blockgest\event;

/**
 * @ignore
 */
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Simple Block Gest Event listener.
 */
class blockgest_listener implements EventSubscriberInterface
{
	/** @var \phpbb\db\driver\driver_interface */
	protected $db;

	/** @var \phpbb\user */
	protected $user;

	/** @var \phpbb\config\config */
	protected $config;

	/** @var \phpbb\template\template */
	protected $template;

	/** @var \phpbb\controller\helper */
	protected $helper;

	/** @var \phpbb\auth\auth */
	protected $auth;

	/** @var \phpbb\cache\service */
	protected $cache;

	protected $table;

	/**
	* Constructor
	*
	* @param db_interface		$db
	* @param user				$user
	* @param config				$config
	* @param template			$template
	* @param helper				$helper
	* @param auth				$auth
	* @param cache_interface	$cache
	*/
	public function __construct(\phpbb\db\driver\driver_interface $db, \phpbb\user $user, \phpbb\config\config $config, \phpbb\template\template $template, \phpbb\controller\helper $helper, \phpbb\auth\auth $auth, \phpbb\cache\service $cache, $blockgest)

	{
		$this->db = $db;
		$this->user = $user;
		$this->config = $config;
		$this->template = $template;
		$this->helper = $helper;
		$this->auth = $auth;
		$this->cache = $cache;
		$this->table = $blockgest;
	}
	
	static public function getSubscribedEvents()
	{
		return array(
			'core.permissions'		=> 'add_permission',
			'core.page_header'		=> 'display_add_blockgest',
		);
	}
	/**
	 * Add permissions Simple Block Gest
	 *
	 */
	public function add_permission($event)
	{
		$permissions = $event['permissions'];
		$permissions['u_block'] = array('lang' => 'ACL_U_BLOCK', 'cat' => 'misc');
		$event['permissions'] = $permissions;
	}
	/**
	 * Display Simple Block Gest
	 *
	 */
	public function display_add_blockgest($event)
	{
		$sql = 'SELECT block_id, block_name, block_cont
		FROM ' . $this->table . '
		WHERE block_enabled = 1';
			$result_blockgest = $this->db->sql_query($sql);
			while( $row_blockgest = $this->db->sql_fetchrow($result_blockgest) ) 
	{
		$this->template->assign_block_vars('blockgest', array(
		'BLOCK_NAME'		=> htmlspecialchars_decode(utf8_normalize_nfc($row_blockgest['block_name'])),
		'BLOCK_CONT'		=> htmlspecialchars_decode(utf8_normalize_nfc($row_blockgest['block_cont'])),
		));
	}
	$this->db->sql_freeresult($result_blockgest);

	$this->template->assign_vars(array(
		'U_BLOCK'			=> ($this->auth->acl_get('u_block')) ? true : false,
	));
	}
}
