<?php
/**
 *
 * Simple Block Gest. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017, Galandas, http://phpbb3world.altervista.org
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace galandas\blockgest\migrations;

class install_acp_module extends \phpbb\db\migration\migration
{
	static public function depends_on()
	{
		return array('\phpbb\db\migration\data\v31x\v314');
	}

	public function update_data()
	{
		return array(
		// Add permissions
		array('permission.add', array('u_block')),
		// Set permissions
		array('permission.permission_set', array('GUESTS', 'u_block', 'group')),
		array('permission.permission_set', array('REGISTERED', 'u_block', 'group')),
		array('permission.permission_set', array('NEWLY_REGISTERED', 'u_block', 'group')),
		array('permission.permission_set', array('BOTS', 'u_block', 'group', false)),
 		// Add module
			array('module.add', array(
				'acp',
				'ACP_CAT_DOT_MODS',
				'ACP_BLOCK_TITLE'
			)),
			array('module.add', array(
				'acp',
				'ACP_BLOCK_TITLE',
				array(
					'module_basename'	=> '\galandas\blockgest\acp\blockgest_module',
					'modes'				=> array('settings'),
				),
			)),
		);
	}
}
