<?php
/**
 *
 * Simple Block Gest. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017, Galandas, http://phpbb3world.altervista.org
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace galandas\blockgest\migrations;

class install_user_schema extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return $this->db_tools->sql_column_exists($this->table_prefix . 'users', 'user_blockgest');
	}

	static public function depends_on()
	{
		return array('\phpbb\db\migration\data\v31x\v314');
	}

	public function update_schema()
	{
		return array(
			'add_tables'		=> array(
				$this->table_prefix . 'blockgest'	=> array(
					'COLUMNS'		=> array(
						'block_id'			=> array('UINT', null, 'auto_increment'),
						'block_name'		=> array('VCHAR:255', ''),
						'block_cont'		=> array('VCHAR:1000', ''),
						'block_enabled'		=> array('BOOL', 0),
					),
					'PRIMARY_KEY'	=> 'block_id',
				),
			),
			'add_columns'	=> array(
				$this->table_prefix . 'users'			=> array(
					'user_blockgest'				=> array('UINT', 0),
				),
			),
		);
	}

	public function revert_schema()
	{
		return array(
			'drop_columns'	=> array(
				$this->table_prefix . 'users'			=> array(
					'user_blockgest',
				),
			),
			'drop_tables'		=> array(
				$this->table_prefix . 'blockgest',
			),
		);
	}
}
